petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDrawOpenImage

Opens an image for use with the PetscDraw routines.

### Synopsis

    #include "petscdraw.h"
    #include "petscdraw.h"
    PetscErrorCode PetscDrawOpenImage(MPI_Comm comm,const char filename[],int w,int h,PetscDraw *draw)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator that will share image
| filename | - optional name of the file

w, h -the image width and height in pixels

### Output Parameters

draw -the drawing context.

### See Also

PetscDrawSetSave(), PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy()

Level:beginner
Location:src/sys/classes/draw/impls/image/drawimage.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages